# $Revision: 1.17 $, $Date: 2002/08/17 20:57:39 $
%include	/usr/lib/rpm/macros.perl

Summary:	A Mail Virus Scanner
Summary(pl):	Antywirusowy skaner poczty elektronicznej
Name:		amavis
Version:	11
Release:	3
URL:		http://www.amavis.org/
Source0:	http://www.amavis.org/dist/perl/%{name}-perl-%{version}.tar.gz
Patch0:		%{name}-perl-mks32.patch
Patch1:		%{name}-nomilter.patch
License:	GPL
Group:		Applications/Mail
Obsoletes:	AMaViS
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	perl
BuildRequires:	perl-modules
BuildRequires:	perl-Convert-UUlib
BuildRequires:	perl-Convert-TNEF
BuildRequires:	perl-Unix-Syslog
BuildRequires:	perl-Archive-Tar
BuildRequires:	perl-Archive-Zip
BuildRequires:	perl-Compress-Zlib
BuildRequires:	perl-MIME-tools
BuildRequires:	file
BuildRequires:	sh-utils
BuildRequires:	arc
BuildRequires:	bzip2
BuildRequires:	lha
BuildRequires:	unarj
BuildRequires:	ncompress
BuildRequires:	unrar
BuildRequires:	zoo
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires(postun):	/usr/sbin/userdel
Requires:	file
Requires:	sh-utils
Requires:	arc
Requires:	bzip2
Requires:	lha
Requires:	unarj
Requires:	ncompress
Requires:	unrar
Requires:	zoo
Requires:	/usr/sbin/sendmail
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AMaViS is a script that interfaces a mail transport agent (MTA) with
one or more virus scanners.

%description -l pl
AMaViS to skrypt poredniczcy pomidzy agentem transferu poczty (MTA)
a jednym lub wicej programw antywirusowych.

%prep
%setup -q -n %{name}-perl-%{version}
%patch0 -p1
%patch1 -p1

%build
aclocal
automake -a -c
%{__autoconf}
%configure \
	--enable-all \
	--with-sendmail-wrapper=%{_sbindir}/sendmail \
	--with-runtime-dir=/var/spool/amavis/runtime \
	--with-virusdir=/var/spool/amavis/virusmails \
	--with-mailto="postmaster" \
	--with-amavisuser=amavis

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	amavisuser=$(id -u) \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`id -u amavis 2>/dev/null`" ]; then
	if [ "`id -u amavis`" != "97" ]; then
		echo "Error: user amavis doesn't have uid=97. Correct this before installing amavis." 1>&2
		exit 1
	fi
else
	/usr/sbin/useradd -u 97 -r -d /var/spool/amavis  -s /bin/false -c "Anti Virus Checker" -g nobody  amavis 1>&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/userdel amavis
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%doc README* AUTHORS BUGS ChangeLog FAQ HINTS TODO doc/amavis.html doc/amavis.png
%attr(750,amavis,root) /var/spool/amavis

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: amavis.spec,v $
Revision 1.17  2002/08/17 20:57:39  qboosh
- better message in pre, more Requires(), release 3

Revision 1.16  2002/05/21 23:12:41  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.15  2002/04/25 15:44:02  arturs
fixed a small typo

Revision 1.14  2002/04/23 12:35:24  kloczek
- cosmetics.

Revision 1.13  2002/04/23 11:35:03  trojan
- added patch (removed milter chaeching for properly regenerate ac/am
  scripts)
- added regenerating ac/am scripts
- removed bcond for mks32
- BR: automake
- release 2; STBR

Revision 1.12  2002/02/23 01:13:38  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/11 20:23:12  hunter
- added conditional build w/ support for  mks32-beta

Revision 1.9  2002/01/18 02:12:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/09/03 11:10:54  waszi
- Fixed source URL

Revision 1.7  2001/08/21 21:35:27  misiek
- new amavis; nfy

Revision 1.6  2001/07/20 20:37:07  migo
- added pl summary and/or description

Revision 1.5  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.4  2001/03/08 23:25:36  bonkey
- /var/log/scanmails added

Revision 1.3  2001/03/08 22:45:06  bonkey
- added /var/spool/virus

Revision 1.2  2001/03/08 22:36:25  bonkey
- more READMEs

Revision 1.1  2001/03/08 22:30:08  bonkey
- fast adapterization for spec from nowhere. it's quite ugly and it
  doesn't build without already installed commercial antivir (e.g.
  KasperskyLab)

* Tue Dec  7 1999 Carlo Marcelo Arenas Belon <carenas@sajino.lared.net.pe>
- initial SPEC, couldn't make non root build
